This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 807126 - Rebalance status does not show the actual number of files migrated
Rebalance status does not show the actual number of files migrated
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
pre-release
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: shishir gowda
shylesh
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-03-27 01:39 EDT by shylesh
Modified: 2015-12-01 11:45 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:39:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shylesh 2012-03-27 01:39:17 EDT
Description of problem:
status showing number of files migrated has wrong information about the number

Version-Release number of selected component (if applicable):
Mainline

How reproducible:
often

Steps to Reproduce:
1. create a volume with single brick
2. create 20 files on the mount point
3. add another brick and initiate rebalance
4. check the status , when complete check the number of files rebalanced from the status and compare with the number of files present in the newly added brick
  
Actual results:
the number doesn't match with the actual number of files migrated.

Expected results:


Additional info:
Comment 1 Anand Avati 2012-04-25 07:05:43 EDT
CHANGE: http://review.gluster.com/3013 (rebalance: handshake_event_notify to make fsd talk to glusterd) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 shylesh 2012-05-22 04:55:03 EDT
This issue is still seen on 3.3.0qa42, I migrated only one file using remove-brick but Rebalanced count says 0 files migrated.
Comment 3 shylesh 2012-05-22 05:17:38 EDT
For rebalance it's working fine hence moving this bug to verified state and opening a new bug for remove-brick

Note You need to log in before you can comment on or make changes to this bug.